Bug 62814 - wu-ftpd not disabling IDENT checks via flag
wu-ftpd not disabling IDENT checks via flag
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 15:10 EST by Ben Klang
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 11:41:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Klang 2002-04-05 15:10:15 EST
Description of Problem:
From the ftpd manpage:
"The -I option disables the use of RFC931  (AUTH/ident)  to attempt to determine
the username on the client."

I have tried this setting in /etc/xinetd.d/wu-ftpd on several releases (versions
 2.6.1-0.6x.21 through wu-ftpd-2.6.1-20 on RedHat 6.1 through RedHat 7.2) and it
does not appear to work.  The  server still generates AUTH IDENT requests and
hangs for up to 30 seconds, waiting for a reply.  My only workaround was to set
an outbound firewall rule to "REJECT" any packets to port 113.

Version-Release number of selected component (if applicable):
2.6.1-0.6x.21 through 2.6.1-20 on wu-ftpd

How Reproducible:
100%

Steps to Reproduce:
1.add a -I to the line "server_args = -l -a" and restart xinetd
2.make an ftp connection to the server 
3.watch for IDENT requests (port 113). If it receives no response, the ftp
connection will hang for up to 30 seconds 

Actual Results:
Depending on whether host responds with ident, either a connection, or up to a
30 second delay.

Expected Results:
A snappy and short connect time.

Additional Information:
Comment 1 Thomas Woerner 2004-01-27 11:41:21 EST
Please use vsftpd instead. wu-ftpd is not maintained anymore.

Note You need to log in before you can comment on or make changes to this bug.